NisusWrtTextInternal::Zone Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
NisusWrtTextInternal::Zone Struct Reference

internal structure used to store zone data More...

## Public Types
typedef std::multimap< NisusWrtStruct::Position, DataPLC, NisusWrtStruct::Position::Compare > | PLCMap

## Public Member Functions
| Zone ()
| constructor More...

## Public Attributes
MWAWEntry | m_entry
| the position of text in the rsrc file More...
std::vector< Paragraph > | m_paragraphList
| the list of paragraph More...
std::vector< PicturePara > | m_pictureParaList
| the list of paragraph More...
PLCMap | m_plcMap
| the map pos -> format id More...

## Detailed Description

internal structure used to store zone data

## Member Typedef Documentation

typedef std::multimap<NisusWrtStruct::Position,DataPLC,NisusWrtStruct::Position::Compare> NisusWrtTextInternal::Zone::PLCMap

## Constructor & Destructor Documentation

NisusWrtTextInternal::Zone::Zone | ( |  | ) |
| inline

constructor

## Member Data Documentation

MWAWEntry NisusWrtTextInternal::Zone::m_entry

the position of text in the rsrc file

Referenced by NisusWrtText::findFilePos().

std::vector<Paragraph> NisusWrtTextInternal::Zone::m_paragraphList

the list of paragraph

Referenced by NisusWrtText::readParagraphs(), and NisusWrtText::sendText().

std::vector<PicturePara> NisusWrtTextInternal::Zone::m_pictureParaList

the list of paragraph

Referenced by NisusWrtText::readPICD(), and NisusWrtText::sendText().

PLCMap NisusWrtTextInternal::Zone::m_plcMap

the map pos -> format id

Referenced by NisusWrtText::readFootnotes(), NisusWrtText::readHeaderFooter(), NisusWrtText::readParagraphs(), NisusWrtText::readPICD(), NisusWrtText::readPosToFont(), and NisusWrtText::sendText().

The documentation for this struct was generated from the following file:

- NisusWrtText.cxx